Useful information

The following table tells you which version of our software is compatible with which combination of PHP and Joomla! / WordPress. Click on the version number to download it.

Remember! Version numbers are not decimals. Trailing zeros do matter. 1.2.10 is greater than than 1.2.5. For more information please consult our How to read version numbers page.

Support legend

Items in green background are fully supported. Items in orange background receive limited support. Everything else gets minimal support. The are not guaranteed bug or security fixes; or addressing changes in third party services and software including but not limited to remote storage services, web servers and browsers. Please note that the same version of our software may get different levels of support depending on which PHP and CMS version it is used with.

Compatibility policy with PHP and CMS versions

We strive to support actively maintained PHP and CMS versions within 1 to 4 weeks of their first release. Versions which have become End of Life are not supported. Compatibility with them is removed 6 to 9 months (PHP) or 1 to 3 months (CMS) after they become End of Life, depending on our release schedule. We may choose to provide experimental support for new PHP and CMS versions while they are in development but support for them will be, by definition, limited.

We may have to drop compatibility with an old but still supported PHP or CMS version to make our software compatible with a newer version. In this case the last version of our software supporting the dropped PHP or CMS version will be considered “Legacy” until said PHP to CMS version becomes End of Life. Legacy versions receive limited support: only high priority and security bugs are fixed. Medium and low priority bugs will not be fixed and any changes in third party services and software our software may integrate with will not be addressed.

Important PHP version information

We very strongly recommend only using the latest released version of an actively supported PHP branch, marked with green in the linked official PHP page. “Security fixes only” branches, marked in yellow, should only be used while planning a migration to an actively supported PHP version.

End of Life branches, marked in red or no longer listed on the official PHP page linked above, as well as older releases of still supported branches must not be used on production sites. These versions are out of date and vulnerable to known security flaws. This admonition also applies if your Linux distribution claims to backport security fixes; they will only backport those marked as high impact, not all security fixes. Moreover, your Linux distribution will never backport bug fixes. Bugs in older PHP versions do cause software to behave erratically. Not just our software but also Joomla!, WordPress or anything else you might be using.

Akeeba Backup for Joomla!

PHP 5.0 PHP 5.1 PHP 5.2 PHP 5.3 PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 1.5 3.2.10 3.2.10 3.2.10 3.2.10
Joomla 1.6 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 1.7 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 2.5 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 3.0 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 3.1 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 3.2 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 3.3 4.7.7 4.7.7 4.7.7 4.7.7 4.7.7
Joomla 3.4 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0
Joomla 3.5 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0
Joomla 3.6 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0
Joomla 3.7 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0 6.4.0
Joomla 3.8 6.4.0 6.4.0 7.1.4 7.1.4 7.1.4 7.1.4 7.1.4 7.1.4
Joomla 3.9 6.4.0 6.4.0 7.1.4 7.1.4 7.4.0.1 8.0.4 8.0.4 8.0.4 8.0.4
Joomla 4.0 8.0.4 8.0.4 8.0.4 8.0.4

 

Admin Tools for Joomla!

PHP 5.0 PHP 5.1 PHP 5.2 PHP 5.3 PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 1.5 2.0.5 2.1.16 2.2.12 2.2.12
Joomla 1.6 2.1.16
Joomla 1.7 2.1.16
Joomla 2.5 3.4.4 3.4.4 3.4.4 3.4.4
Joomla 3.0 3.8.6 3.8.6 3.8.6 3.8.6
Joomla 3.1 3.8.6 3.8.6 3.8.6 3.8.6
Joomla 3.2 3.8.6 3.8.6 3.8.6 3.8.6
Joomla 3.3 3.8.6 3.8.6 3.8.6 3.8.6
Joomla 3.4 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1
Joomla 3.5 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1
Joomla 3.6 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1
Joomla 3.7 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1 5.2.1
Joomla 3.8 5.2.1 5.2.1 5.6.0 5.6.0 5.6.0 5.6.0 5.6.0 5.6.0
Joomla 3.9 5.2.1 5.2.1 5.6.0 5.6.0 5.9.0 6.0.5 6.0.5 6.0.5 6.0.5
Joomla 4.0 6.0.5 6.0.5 6.0.5 6.0.5

 

Akeeba Ticket System

PHP 5.3 PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 2.5 1.5.5 1.5.5 1.5.5 1.5.5
Joomla 3.0 1.5.0 1.5.0
Joomla 3.1 1.5.0 1.5.0
Joomla 3.2 1.6.1 1.6.1 1.6.1
Joomla 3.3 1.6.1 1.6.1 1.6.1
Joomla 3.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4
Joomla 3.5 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4
Joomla 3.6 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4
Joomla 3.7 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4 2.4.4
Joomla 3.8 2.4.4 2.4.4 3.3.1 3.3.1 3.3.1 3.3.1 3.3.1 3.3.1
Joomla 3.9 2.4.4 2.4.4 3.3.1 3.3.1 3.5.1 4.0.2 4.0.2 4.0.2 4.0.2
Joomla 4.0 4.0.2 4.0.2 4.0.2 4.0.2

 

Akeeba Kickstart

PHP 5.3 PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
PHP 4.1.1 6.0.1 6.0.1 7.0.5 7.0.5 7.0.5 7.0.5 7.0.5 7.0.5 7.0.5

 

Akeeba UNiTE

PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
PHP 4.1.2 4.1.2 4.1.2 4.1.3 4.1.3 4.1.3 4.1.3

 

Akeeba Remote CLI

PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
PHP 2.3.0 2.3.0 2.3.0 2.3.1 2.3.1 2.3.1 2.3.1

 

Akeeba FOF 4.x (backend framework) for Joomla

PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 3.9 4.0.6 4.0.6 4.0.6 4.0.6
Joomla 4.0 4.0.6 4.0.6 4.0.6 4.0.6

 

Akeeba Engage

PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 3.9 1.0.3 2.0.1 2.0.1 2.0.1 2.0.1
Joomla 4.0 2.0.1 2.0.1 2.0.1 2.0.1

 

Akeeba DataCompliance

PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 3.8 1.1.0 1.2.1 1.2.1 1.2.1 1.2.1
Joomla 3.9 1.1.0 1.2.3 2.0.1 2.0.1 2.0.1 2.0.1
Joomla 4.0 2.0.1 2.0.1 2.0.1 2.0.1

 

ContactUs

PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 3.4 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0
Joomla 3.5 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0
Joomla 3.6 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0
Joomla 3.7 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0 2.0.0
Joomla 3.8 2.0.0 2.0.0 2.0.1 2.0.0 2.0.1 2.0.1
Joomla 3.9 2.0.1 2.1.1 3.0.0 3.0.0 3.0.0 3.0.0
Joomla 4.0 3.0.0 3.0.0 3.0.0 3.0.0

 

Akeeba DocImport

PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
Joomla 3.2 1.2.0 1.2.0 1.2.0 1.2.0
Joomla 3.3 1.2.0 1.2.0 1.2.0 1.2.0
Joomla 3.4 2.0.5 2.0.5 2.0.5 2.0.5 2.0.5
Joomla 3.5 2.0.5 2.0.5 2.0.5 2.0.5 2.0.5
Joomla 3.6 2.0.5 2.0.5 2.0.5 2.0.5 2.0.5
Joomla 3.7 2.0.5 2.0.5 2.0.5 2.0.5 2.0.5
Joomla 3.8 2.1.1 2.1.1 2.1.1 2.1.1 2.1.1
Joomla 3.9 2.1.1 2.1.1 2.1.3 3.0.0 3.0.0 3.0.0 3.0.0
Joomla 4.0 3.0.0 3.0.0 3.0.0 3.0.0

 

Admin Tools for WordPress

PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4
ClassicPress 1.0 1.4.2 1.4.2 1.4.2 1.4.2 1.4.2 1.4.2
WordPress 3.8+ 1.0.0 1.0.0 1.0.0 1.0.0 1.0.0 1.0.0 1.0.0
WordPress 4.9+ 1.4.2 1.4.2 1.4.2 1.4.2 1.4.2 1.4.2
WordPress 5.2+ 1.4.2 1.4.2 1.4.2 1.4.2 1.4.2

 

Akeeba Solo

PHP 5.3 PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4 PHP 8.0
PHP 3.0.1 3.4.0 3.4.0 7.1.4.2 7.1.4.2 7.4.0.1 7.5.6 7.5.6 7.5.6 7.5.6